### Enumeration

# Rsvg Unit

since: 2.0

#### Declaration

    enum Rsvg.Unit

#### Description [src]

Units for the `RsvgLength` struct. These have the same meaning as CSS length units.

Available since: 2.0

#### Members

`RSVG_UNIT_PERCENT`

  Percentage values; where 1.0 means 100%.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_PX`

  Pixels.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_EM`

  Em, or the current font size.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_EX`

  X-height of the current font.

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_IN`

  Inches.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_CM`

  Centimeters.

  - Value: `5`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_MM`

  Millimeters.

  - Value: `6`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_PT`

  Points, or 1/72 inch.

  - Value: `7`
  - Nickname: `None`
  - Available since: 2.0
`RSVG_UNIT_PC`

  Picas, or 1/6 inch (12 points)

  - Value: `8`
  - Nickname: `None`
  - Available since: 2.0